| Home | Libraries | People | FAQ | More

## Struct template promote<bool, From, void, std_valarray_tag>

boost::numeric::functional::promote<bool, From, void, std_valarray_tag>

## Synopsis

    template<typename From>
    struct promote<bool, From, void, std_valarray_tag> : public std::unary_function< From, bool > {

      // public member functions
      bool operator()(From &) const;
    };

## Description

### `promote` public member functions

1.     bool operator()(From & arr) const;